# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-texmf
# END SourceDeps(oneline)
Name:           metapost-metauml
Version:        0.2.5
Release:        alt1_11
Summary:        UML in LaTeX/MetaPost

Group:          Publishing
License:        GPLv2+
URL:            http://metauml.sourceforge.net/

Source0:        http://downloads.sourceforge.net/metauml/metauml_lib_0.2.5.tgz
Source1:        http://downloads.sourceforge.net/metauml/metauml_manual_0.2.5.pdf
BuildArch:      noarch

BuildRequires: texlive-latex-recommended texlive-base-bin texlive-generic-recommended
BuildRequires:  sed
Requires: texlive-latex-recommended texlive-base-bin texlive-generic-recommended
Requires(post): %{_bindir}/texhash
Requires(postun): %{_bindir}/texhash
Source44: import.info

%description
MetaUML is a MetaPost library for typesetting UML diagrams.
Class, activity, use case, state machine, and package diagrams
are supported.

%prep
%setup -q -c
cp -p %{SOURCE1} ./metauml_manual_0.2.5.pdf
pushd metauml_lib/thrunk
for file in *.mp; do
    sed -i -e 's/\r//' $file;
done;
popd


%build


%install
mkdir -p %{buildroot}/%{_texmfmain}/metapost/metauml
install -m 644 -p metauml_lib/thrunk/*.mp %{buildroot}/%{_texmfmain}/metapost/metauml


%files
%doc metauml_lib/thrunk/License metauml_lib/thrunk/version.txt
%doc metauml_manual_0.2.5.pdf
%{_texmfmain}/metapost/metauml


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.5-alt1_11
- initial fc import

